#ifndef GG_IOT_H
#define GG_IOT_H

//#define GG_IOT_DEBUG

#if defined(ARDUINO_linkit_7697)
#include <LWiFi.h>
#elif defined(ESP32)
#include <WiFi.h>
#include <WiFiClientSecure.h>
#endif

typedef struct {
	String host;
	int port;
	String url;
	String header;
	String UserAgent;
	String ContentType;
} HttpRequestHeader;


String GetHttpRespone(Client &Http_Client,int &_ggHttpCode,int &_ggContentLength);
bool HttpGetRequest(Client &Http_Client,int &_ggHttpCode,HttpRequestHeader HttpHeader);
bool HttpPostRequest(Client &Http_Client,int &_ggHttpCode,HttpRequestHeader HttpHeader,String PostData);

#endif

